Index: /trunk/SophyaPI/PI/piaxes.cc
===================================================================
--- /trunk/SophyaPI/PI/piaxes.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/piaxes.cc	(revision 4077)
@@ -11,6 +11,4 @@
 #include <math.h>
 #include "piaxes.h"
-#include "pidrawer.h"
-#include "ucckprot.h"
 
 //++
@@ -20,5 +18,5 @@
 //
 //	Classe gestionnaire de tracé d'axes. A utiliser dans
-//	un objet PIDrawer. Ajout trace d'axes polaires en Mai 2012.
+//	un objet PIDrawer.
 //--
 //++
@@ -43,7 +41,6 @@
 {
   ConfigureTicks();
-  ConfigureAutoFontSize(true, PIDrawer::GetGlDefAutoFontSizeFrac());
+  ConfigureAutoFontSize();
   ConfigureAxesCenter();
-  ConfigurePolar();
   setupDone = false;
 }
@@ -56,5 +53,5 @@
 //++
 // void  DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, \
-//                  unsigned int flags, bool afsz, double fszf)
+//                  unsigned int flags=kAxesDflt, bool afsz=true)
 //	Trace les axes en utilisant les limites de l'objet PIGraphicUC. 
 //	"flags" spécifie les attributs d'axes. Constantes prédéfinies: 
@@ -67,18 +64,10 @@
 //|	      kBoxAxes | kTicks | | kIntTicks | kLabels
 //|	kGridOn, kAxesNone
-//	Si "afsz == true", la taille de fonte est choisie automatiquement avec "fszf" 
-//	representant la taille de fonte en fraction de (ymax-ymin)
-//
-// void DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, unsigned int flags=kAxesDflt)
-//        Appel de DrawXYAxes avec les parametres "axesAFSz. fontSz" de l'objet.
+//	Si "afsz == true", la taille de fonte est choisie automatiquement.
 //
 // void DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, \
 //        double xmin, double xmax, double ymin, double ymax, \
-//        unsigned int flags, bool afsz, double )
+//        unsigned int flags=kAxesDflt, bool afsz=true)
 //	Tracé d'axes avec spécification des limites d'axes.
-//
-// void DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, \
-//        double xmin, double xmax, double ymin, double ymax, unsigned int flags=kAxesDflt) 
-//        Appel de DrawXYAxes avec les parametres "axesAFSz. fontSz" de l'objet.
 //
 // void DrawXCaption(PIGraphicUC* g, string const& xLabel, PIGraphicAtt const& att)
@@ -90,10 +79,10 @@
 /* --Methode-- */
 void PIAxes::DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, 
-			unsigned int flags, bool afsz, double fszf)
+			unsigned int flags, bool afsz)
 {
   PIGrCoord xmin, xmax, ymin, ymax;
   g->GetGrSpace(xmin, xmax, ymin, ymax);
   DrawXYAxes(g, gratt, (double)xmin, (double)xmax, 
-	     (double)ymin, (double)ymax, flags, afsz, fszf);
+	     (double)ymin, (double)ymax, flags, afsz);
 }
 
@@ -101,5 +90,5 @@
 void PIAxes::DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, 
 			double xmin, double xmax, double ymin, double ymax,
-			unsigned int flags, bool afsz, double fszf)
+			unsigned int flags, bool afsz)
 
 {
@@ -118,51 +107,10 @@
 
   if(afsz) { 
-    double fsz = (yMax-yMin)*fszf;
+    double fsz = (yMax-yMin)*fontSz;
     g->SelFontSz(fsz);
   }
 
-  if (flags & kPolarAxes)  {  // axes polaires 
-    //    g->DrawLine(xMin, 0., xMax, 0.);
-    //    g->DrawLine(0., yMin, 0., yMax);
-    double rr=fabs(xMin); 
-    double rmin=0., rmax=rr;
-    rr=fabs(xMax);  if (rr>rmax) rmax=rr;   
-    rr=fabs(yMin);  if (rr>rmax) rmax=rr;   
-    rr=fabs(yMax);  if (rr>rmax) rmax=rr;
-    UC_CheckMinMaxDiff(rmin,rmax);
-    if (rmin<0.)  { rmax-=(2.*rmin);  rmin=0.; }
-    vector<double> lesradius,lesrad2; 
-    PIAxes::BestTicks(rmin,rmax,polNRadius,lesradius,lesrad2);
-    double delta_r=(rmax-rmin)/(double)polNRadius;
-    double delta_ang=M_PI/(double)polNAng;
-    double xa,ya,ang;
-    char sbuff[64];
-    for(size_t nn=0; nn<lesradius.size(); nn++) {
-      rr=lesradius[nn]; 
-      if (rr<1.e-3*rmax) continue;
-      //      cout << " *DBG*PIAxes* rmin,rmax=" << rmin << "," << rmax << " rr[" << nn << "]=" << rr << endl;
-      g->DrawCircle(0.,0.,rr);
-      sprintf(sbuff,"%g",rr);
-      rr+=0.1*delta_r;  
-      xa=cos(-1.2)*rr;  ya=sin(-1.2)*rr;
-      g->DrawString(xa,ya,sbuff,PI_HorizontalCenter|PI_VerticalCenter);
-      xa=cos(M_PI-0.2)*rr;  ya=sin(M_PI-0.2)*rr;
-      g->DrawString(xa,ya,sbuff,PI_HorizontalCenter|PI_VerticalCenter);
-    }
-    for(int nn=0; nn<polNAng; nn++) {
-      ang=(double)nn*delta_ang;
-      xa=cos(ang+polThetaOffset)*rmax*1.03;
-      ya=sin(ang+polThetaOffset)*rmax*1.03;
-      g->DrawLine(-xa, -ya, xa, ya);
-      sprintf(sbuff,"%g",ang*180./M_PI);
-      xa*=1.03;  ya*=1.03;
-      g->DrawString(xa,ya,sbuff,PI_HorizontalCenter|PI_VerticalCenter);
-      sprintf(sbuff,"%g",ang*180./M_PI+180.);
-      g->DrawString(-xa,-ya,sbuff,PI_HorizontalCenter|PI_VerticalCenter);
-    }
-    
-  }  // --- FIN trace d'axes polaires 
-
-  if (flags & kCentAxes)  {   // axes X-Y centres 
+  if (flags & kCentAxes) {
+
     // Les axes
     double x0axes = (xMin+xMax)/2.,  y0axes = (yMin+yMax)/2.;
@@ -183,17 +131,23 @@
     g->DrawArrowMarker(x0axes, yMax, x0axes, ym2, true);
     // La grille en pointilles
+
     if (flags & kGridOn) DrawGrid(g);
   
-    // Les ticks majeurs  
+    // Les ticks majeurs
+  
     if ((flags & kTicks) && (flags & kMajTicks)) {
         DrawHTicks(g, y0axes, xMajTickLen, xMajTickLen, xMajTicks);
         DrawVTicks(g, x0axes, yMajTickLen, yMajTickLen, yMajTicks);
     }
-    // Les ticks mineurs  
+    
+    // Les ticks mineurs
+  
     if ((flags & kTicks) && (flags & kMinTicks)) {
         DrawHTicks(g, y0axes, xMinTickLen, xMinTickLen, xMinTicks);
         DrawVTicks(g, x0axes, yMinTickLen, yMinTickLen, yMinTicks);
-    }    
-    // Les labels    
+    }
+    
+    // Les labels
+    
     if (flags & kLabelsH) {
       double declab = 2*xMajTickLen;
@@ -210,12 +164,16 @@
         DrawVLabels(g, x0axes+declab, yMajTicks, PI_HorizontalRight);
     }
-  }   //--- FIN trace axes X-Y centres 
-  
-  if (flags & kBoxAxes) {  
-    // La boite    
+    
+  }
+  
+  if (flags & kBoxAxes) {
+  
+    // La boite
+    
     g->DrawLine(xMin, yMin, xMax, yMin);
     g->DrawLine(xMax, yMin, xMax, yMax);
     g->DrawLine(xMax, yMax, xMin, yMax);
     g->DrawLine(xMin, yMax, xMin, yMin);
+
     // Longueur des ticks
     double extXMajTickLen = flags&kExtTicks ? xMajTickLen : 0;
@@ -227,7 +185,11 @@
     double extYMinTickLen = flags&kExtTicks ? yMinTickLen : 0;
     double intYMinTickLen = flags&kIntTicks ? yMinTickLen : 0;
+
     // La grille en pointilles
+
     if (flags & kGridOn) DrawGrid(g);
+
     // Les ticks majeurs
+  
     if ((flags & kTicks) && (flags & kMajTicks)) {
         DrawHTicks(g, yMin, intXMajTickLen, extXMajTickLen, xMajTicks);
@@ -236,5 +198,7 @@
         DrawVTicks(g, xMax, intYMajTickLen, extYMajTickLen, yMajTicks);
     }
-    // Les ticks mineurs  
+    
+    // Les ticks mineurs
+  
     if ((flags & kTicks) && (flags & kMinTicks)) {
         DrawHTicks(g, yMin, intXMinTickLen, extXMinTickLen, xMinTicks);
@@ -243,5 +207,8 @@
         DrawVTicks(g, xMax, intYMinTickLen, extYMinTickLen, yMinTicks);
     }
-    // Les labels    
+
+
+    // Les labels
+    
     if (flags & kLabelsH) {
       double declab = xMajTickLen;
@@ -264,6 +231,6 @@
       }
     }
-  }   // --- FIN trace BoxAxes 
-  //  g->Clip();
+  }
+  g->Clip();
   
 }
@@ -347,6 +314,6 @@
 //	(X/Y max-min). Les paramètres ne sont pas changés si des valeurs
 //	négatives ou nulles sont spécifiées.
-// void ConfigureAutoFontSize(bool afsz=true, double fszf=0.04)
-//	Configuration de la taille de fonte, en mode AutoFontSize ou FixedFontSize.
+// void ConfigureAutoFontSize(double fszf=0.0125)
+//	Configuration de la taille de fonte, en mode AutoFontSize.
 //	La taille est exprimée en fraction de la taille totale YMax-Min
 // void  ConfigureAxesCenter(bool fset,double x0,double y0)
@@ -365,7 +332,6 @@
 
 /* --Methode-- */
-void PIAxes::ConfigureAutoFontSize(bool afsz, double fszf)
-{
-  axesAFSz = afsz;
+void PIAxes::ConfigureAutoFontSize(double fszf)
+{
   if (fszf > 1.e-19) fontSz = fszf;
 }
@@ -454,10 +420,5 @@
     //Attention erreur d'arrondi x->0 (on code 5.1698e-26 au lieu de 0)
     double xx = (fabs(xticks[i]/xstep)<1.e-5) ? 0.: xticks[i];
-    double dog = fabs(xx/fac);
-    if ((dog<=1.e-5)||(dog>=1.e5))  
-      sprintf(label,"%le",xx/fac);
-    else 
-      sprintf(label,format.c_str(),xx/fac); 
-    Arrange_Label(label);
+    sprintf(label,format.c_str(),xx/fac); Arrange_Label(label);
     double largeur = g->CalcStringWidth(label);
     g->DUC2GrC(largeur,0.,largpix,dum);
@@ -502,10 +463,5 @@
     if(yticks[i]>yMax) break;
     double yy = (fabs(yticks[i]/ystep)<1.e-5) ? 0.: yticks[i];
-    double dog = fabs(yy/fac);
-    if ((dog<=1.e-5)||(dog>=1.e5))  
-      sprintf(label,"%le",yy/fac);
-    else 
-      sprintf(label,format.c_str(),yy/fac); 
-    Arrange_Label(label);
+    sprintf(label,format.c_str(),yy/fac); Arrange_Label(label);
     g->UC2GrC(x,yticks[i],dum,ypixdeb);   ypixdeb -= hautpix/2.;
     // -- Attention: ypix=0 est en haut de l'ecran
@@ -522,5 +478,5 @@
   if(npuiss!=0) {
     if(aYdir) hauteur = -hauteur; 
-    double ym = (aYdir)? yMin: yMax; ym = g->DeltaUCY(ym,0.25*hauteur);
+    double ym = (aYdir)? yMin: yMax; ym = g->DeltaUCY(ym,0.5*hauteur);
     sprintf(label,"%d",npuiss);
     g->DrawCompString(x,ym,"x 10",label,NULL,PI_VerticalBottom|just);
@@ -557,5 +513,4 @@
 //  Calcul du min et du max du display a partir des valeurs min et max a plotter
 {
-  //DBG  cout << "**DBG*PIAxes::ReSizeMinMax(" << vmin << "," << vmax << "," << garde << ")" << endl;
  if(garde<0. || garde>=1.) garde = 0.025;
  // cout<<"ReSizeMinMax[log="<<axelog<<",garde="<<garde<<"] vmin="<<vmin<<" vmax="<<vmax<<endl;
@@ -582,5 +537,5 @@
  }
 
- //DBG  cout<<"           vmin="<<vmin<<" vmax="<<vmax<<endl;
+ // cout<<"           vmin="<<vmin<<" vmax="<<vmax<<endl;
 }
 
Index: /trunk/SophyaPI/PI/piaxes.h
===================================================================
--- /trunk/SophyaPI/PI/piaxes.h	(revision 4076)
+++ /trunk/SophyaPI/PI/piaxes.h	(revision 4077)
@@ -14,12 +14,11 @@
   kCentAxes    = 0x0001,
   kBoxAxes     = 0x0002,
-  kPolarAxes   = 0x0004,
+  kTicks       = 0x0004,
+  kGridOn      = 0x0008,
 
-  kTicks       = 0x0010,
-  kGridOn      = 0x0020,
-  kIntTicks    = 0x0100,
-  kExtTicks    = 0x0200,
-  kMajTicks    = 0x0400,
-  kMinTicks    = 0x0800,
+  kIntTicks    = 0x0010,
+  kExtTicks    = 0x0020,
+  kMajTicks    = 0x0040,
+  kMinTicks    = 0x0080,
 
   kLabelsH     = 0x1000,
@@ -41,15 +40,10 @@
 
   virtual void      DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, 
-			       unsigned int flags, bool afsz, double fszf);
-  inline  void      DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, unsigned int flags=kAxesDflt)
-     { DrawXYAxes(g, gratt, flags, axesAFSz, fontSz); }
+			       unsigned int flags=kAxesDflt, bool afsz=true);
 
   virtual void      DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, 
 			       double xmin, double xmax, 
 			       double ymin, double ymax,
-			       unsigned int flags, bool afsz, double fszf);
-  inline void       DrawXYAxes(PIGraphicUC* g, PIGraphicAtt& gratt, 
-			       double xmin, double xmax, double ymin, double ymax, unsigned int flags=kAxesDflt)
-    {   DrawXYAxes(g, gratt, xmin, xmax, ymin, ymax, flags, axesAFSz, fontSz); }
+			       unsigned int flags=kAxesDflt, bool afsz=true);
 
 
@@ -62,9 +56,5 @@
   void  ConfigureTicks(int ntickx=10, int nticky=12, 
 		       double majtl=0.016, double mintl=0.01);
-  //  Nb de cercles et nb de droites theta=Cte traces en coordonnees polaires
-  inline void  ConfigurePolar(int nradius=5, int nang=6, double thetaoffset=0.)
-    { polNRadius=nradius; polNAng=nang; polThetaOffset=thetaoffset; }
-  //  Choix de taille automatique de fontes 
-  void  ConfigureAutoFontSize(bool afsz=true, double fszf=0.04);
+  void  ConfigureAutoFontSize(double fszf=0.04);
   void  ConfigureAxesCenter(bool fset=false,double x0=0.,double y0=0.);
 
@@ -101,5 +91,5 @@
   bool   aXdir, aYdir;           // Sens des axes horiz, vertical 
   bool   aXlog, aYlog;           // Echelle log pour les axes horiz, vertical 
-  bool   axesAFSz;               // true -> AutoFontSize
+  bool   axesAFSz;
   
   int xNTicks, yNTicks;             // Nb de ticks en X, Y
@@ -112,9 +102,6 @@
   double xMajTickLen,  xMinTickLen;
   double yMajTickLen,  yMinTickLen;
-  bool axesCenter; 
-  double axesCentX0,axesCentY0;
-//--- PolarAxe   
-  int polNRadius, polNAng; // Nb de cercles et nb de droites theta=Cte
-  double polThetaOffset;   // Offset de l'angle 0 (en radian) par rapport au systeme de coordonnees x-y 
+  bool axesCenter; double axesCentX0,axesCentY0;
+
 };
 
Index: /trunk/SophyaPI/PI/piaxestools.cc
===================================================================
--- /trunk/SophyaPI/PI/piaxestools.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/piaxestools.cc	(revision 4077)
@@ -131,14 +131,8 @@
 cpx = spx+0.25*bsx;
 cpy += spycb+bsycb;
-// mCkb[5] = new PICheckBox(this,"Centerd-Axes", 2005, bsx*1.5, bsycb, cpx, cpy);
-mCkb[5] = NULL;
-mOpt[0] = new PIOptMenu(this,"TypeAxes",1.5*bsx,bsycb,cpx,cpy);
-mOpt[0]->AppendItem("BoxAxes",2021);  
-mOpt[0]->AppendItem("CenteredAxes",2022);  
-mOpt[0]->AppendItem("PolarAxes",2023);   
-
+mCkb[5] = new PICheckBox(this,"Centerd-Axes", 2005, bsx*1.5, bsycb, cpx, cpy);
 cpx += bsx*1.5+3*spx;
 mCkb[2] = new PICheckBox(this,"Grid", 2002, bsx*1.5, bsycb, cpx, cpy);
-// mCkb[5]->SetBinding(PIBK_elastic,PIBK_elastic, PIBK_elastic,PIBK_elastic);
+mCkb[5]->SetBinding(PIBK_elastic,PIBK_elastic, PIBK_elastic,PIBK_elastic);
 mCkb[2]->SetBinding(PIBK_elastic,PIBK_elastic, PIBK_elastic,PIBK_elastic);
 
@@ -176,12 +170,12 @@
 mBut[5]->SetBinding(PIBK_elastic,PIBK_elastic, PIBK_elastic,PIBK_elastic);
  cpx += spx+0.5*bsx;
-mOpt[1] = new PIOptMenu(this,"choix-action",1.5*bsx,bsy,cpx,cpy);
-mOpt[1]->AppendItem("Transl X",2850);  // mTypAction=0
-mOpt[1]->AppendItem("Transl Y",2851);  // mTypAction=1
-mOpt[1]->AppendItem("Zoom X",2852);    // mTypAction=2
-mOpt[1]->AppendItem("Zoom Y",2853);    // mTypAction=3
-mOpt[1]->AppendItem("Zoom X-Y",2854);  // mTypAction=4
-mOpt[1]->SetBinding(PIBK_elastic,PIBK_elastic, PIBK_elastic,PIBK_elastic);
- string sdum="Transl X"; mOpt[1]->SetValueStr(sdum); mTypAction=0;
+mOpt = new PIOptMenu(this,"choix-action",1.5*bsx,bsy,cpx,cpy);
+mOpt->AppendItem("Transl X",2850);  // mTypAction=0
+mOpt->AppendItem("Transl Y",2851);  // mTypAction=1
+mOpt->AppendItem("Zoom X",2852);    // mTypAction=2
+mOpt->AppendItem("Zoom Y",2853);    // mTypAction=3
+mOpt->AppendItem("Zoom X-Y",2854);  // mTypAction=4
+mOpt->SetBinding(PIBK_elastic,PIBK_elastic, PIBK_elastic,PIBK_elastic);
+ string sdum="Transl X"; mOpt->SetValueStr(sdum); mTypAction=0;
  cpx += spx+1.5*bsx;
 mBut[6] = new PIButton(this,">",2803,0.5*bsx,bsy,cpx,cpy);
@@ -202,7 +196,6 @@
 for(i=0;i<2;i++) delete mText[i];
 for(i=0;i<8;i++) delete mBut[i];
-for(i=0;i<7;i++) 
-  if (mCkb[i]) delete mCkb[i];
-for(i=0;i<2;i++) delete mOpt[i];
+for(i=0;i<8;i++) delete mCkb[i];
+delete mOpt;
 }
 
@@ -238,14 +231,11 @@
   if (scd->GetAxesFlags() & kGridOn) mCkb[2]->SetState(true);
   else mCkb[2]->SetState(false);
-  //  if (scd->GetAxesFlags() & kCentAxes) mCkb[5]->SetState(true);
-  //  else mCkb[5]->SetState(false);
-  if (scd->GetAxesFlags() & kCentAxes) mOpt[0]->SetValue(2022);
-  else if (scd->GetAxesFlags() & kPolarAxes)  mOpt[0]->SetValue(2023);
-  else mOpt[0]->SetValue(2021);
+  if (scd->GetAxesFlags() & kCentAxes) mCkb[5]->SetState(true);
+  else mCkb[5]->SetState(false);
   if (scd->GetAxesFlags() & kMinTicks) mCkb[6]->SetState(true);
   else mCkb[6]->SetState(false);
   mCkb[3]->SetState(scd->isLogScaleX());
   mCkb[4]->SetState(scd->isLogScaleY());
-  mCkb[7]->SetState(scd->BaseDrawer()->GetAutoFontSizeState());
+  mCkb[7]->SetState(scd->BaseDrawer()->isAxesAutoFontSize());
   }
 else {
@@ -257,6 +247,5 @@
   mCkb[3]->SetState(false);
   mCkb[4]->SetState(false);
-  //  mCkb[5]->SetState(false);
-  mOpt[0]->SetValue(2021);
+  mCkb[5]->SetState(false);
   mCkb[6]->SetState(false);
   mCkb[7]->SetState(true);
@@ -315,8 +304,6 @@
   if (mCkb[2]->GetState()) flags |= kGridOn;
   else  flags &= ~kGridOn;
-  PIMessage typax=mOpt[0]->GetValue();
-  if (typax==2022)   { flags |= kCentAxes;  flags &= ~(kBoxAxes|kPolarAxes); }
-  else if (typax==2023)  { flags |= kPolarAxes;  flags &= ~(kBoxAxes|kCentAxes); }
-  else { flags |= kBoxAxes; flags &= ~(kCentAxes|kPolarAxes);}
+  if (mCkb[5]->GetState()) { flags |= kCentAxes;  flags &= ~kBoxAxes; }
+  else { flags &= ~kCentAxes;  flags |= kBoxAxes; }
   if (mCkb[6]->GetState()) flags |= kMinTicks;
   else  flags &= ~kMinTicks;
@@ -325,5 +312,5 @@
 
   scd->SetLogScale(mCkb[3]->GetState(), mCkb[4]->GetState() );
-  scd->BaseDrawer()->ConfigureAutoFontSize(mCkb[7]->GetState(), -1);
+  scd->BaseDrawer()->SetAxesAutoFontSize(mCkb[7]->GetState() );
   if (refr) scd->Refresh();
   return;
Index: /trunk/SophyaPI/PI/piaxestools.h
===================================================================
--- /trunk/SophyaPI/PI/piaxestools.h	(revision 4076)
+++ /trunk/SophyaPI/PI/piaxestools.h	(revision 4077)
@@ -41,5 +41,5 @@
   PIText* mText[2];
   PICheckBox* mCkb[8];
-  PIOptMenu * mOpt[2];
+  PIOptMenu * mOpt;
   unsigned short mTypAction;
   double mSclAction;
Index: /trunk/SophyaPI/PI/pibwdgx.cc
===================================================================
--- /trunk/SophyaPI/PI/pibwdgx.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/pibwdgx.cc	(revision 4077)
@@ -39,5 +39,5 @@
 CreateXtWdg(nom, piXtBaseWidgetClass, NULL, sx, sy, px, py);
 
-XtSetArg(wargs[0],const_cast<char*>(PIXNobject),this); 
+XtSetArg(wargs[0],PIXNobject,this); 
 XtSetArg(wargs[1],XtNbackground, colpixwhite);  
 XtSetArg(wargs[2],XtNborderWidth, (Dimension)0);  
@@ -72,5 +72,5 @@
 #endif
 Arg  wargs[2];
- XtSetArg(wargs[0],const_cast<char*>(PIXNobject),NULL); 
+XtSetArg(wargs[0],PIXNobject,NULL); 
 XtSetValues(XtWdg(), wargs, 1);
 }
Index: /trunk/SophyaPI/PI/picmap.cc
===================================================================
--- /trunk/SophyaPI/PI/picmap.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/picmap.cc	(revision 4077)
@@ -6,5 +6,4 @@
 #include "picmap.h"
 #include <iostream>
-
 
 //++
@@ -25,10 +24,9 @@
 //--
 
-#define  MXMAPIDS   34
+#define  MXMAPIDS   30
 static   int    MapNCols[MXMAPIDS] = {
   256, 256, 256, 256, 256, 256, 256, 256, 256, 256,
   256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 
-  256, 256, 256, 256, 256, 256, 256, 256, 256, 256,
-  216, 512, 4096, 32768  };
+  256, 256, 256, 256, 256, 256, 256, 256, 256, 256  };
 
 // Tables de couleurs :
@@ -39,8 +37,4 @@
 // 1 Standard PI 64 couleurs differentes
 // 1 Standard PI 16 couleurs
-// 1 Standard PI , 216 couleurs RGB (6x6x6)
-// 1 Standard PI , 512 couleurs RGB (8x8x8)
-// 1 Standard PI , 4096 couleurs RGB (16x16x16)
-// 1 Standard PI , 32768 couleurs RGB (32x32x32)
 
 static   const char*  MapNoms[MXMAPIDS]  = {
@@ -53,6 +47,5 @@
                       "MIDAS_Stairs9","MIDAS_StairCase","MIDAS_Color",
                       "MIDAS_ManyCol","MIDAS_Idl14","MIDAS_Idl15",
- 		      "MultiCol16","MultiCol64",
-                      "RGB216CM","RGB512CM","RGB4096CM","RGB32768CM"};
+                      "MultiCol16","MultiCol64"};
 
 static   CMapId MapIds[MXMAPIDS] = { 
@@ -65,6 +58,5 @@
                       CMAP_MIDAS_Stairs9, CMAP_MIDAS_StairCase, CMAP_MIDAS_Color, 
                       CMAP_MIDAS_ManyCol, CMAP_MIDAS_Idl14, CMAP_MIDAS_Idl15, 
-                      CMAP_COL16, CMAP_COL64, 
-                      CMAP_RGB216, CMAP_RGB512, CMAP_RGB4096, CMAP_RGB32768} ;
+                      CMAP_COL16, CMAP_COL64 } ;
 
 static   int mColTNums[8192];   // Max 8192 tables differentes pour le moment  
@@ -78,6 +70,5 @@
                                   NULL, NULL, NULL, NULL, NULL,
                                   NULL, NULL, NULL, NULL, NULL, 
-                                  NULL, NULL, NULL, NULL, NULL,
-                                  NULL, NULL, NULL, NULL };
+                                  NULL, NULL, NULL, NULL, NULL };
 
 int  PIColorMap::NumberStandardColorMaps()
@@ -131,12 +122,6 @@
 //|	CMAP_COL64      :  64 Couleurs arcenciel 
 //|	CMAP_OTHER      :  Table non standard 
-//|	CMAP_RGB216     :  216 couleurs, 6x6x6 couleurs en composantes RGB
-//|	CMAP_RGB512     :  512 couleurs, 8x8x8 couleurs en composantes RGB
-//|	CMAP_RGB4096    :  4096 couleurs, 16x16x16 couleurs en composantes RGB
-//|	CMAP_RGB4096    :  32768 couleurs, 32x32x32 couleurs en composantes RGB
-
 //	Toutes les tables de couleurs standard possèdent 256 cellules de couleurs,
-//	contenant 16 ou 32 ou 128 (ou 216) couleurs distinctes, 
-//	sauf CMAP_RGB512 , CMAP_RGB4096 et CMAP_RGB32768.
+//	contenant 16 ou 32 ou 128 couleurs distinctes.
 //
 // PIColorMap(string const& nom, int nCol)
@@ -159,6 +144,5 @@
 
    if (NMaxTableAuto == 0) { //  Il faut allouer les tables de depart
-     if ( TotNbColors() >= 4096 ) NMaxTableAuto = MXMAPIDS-2;
-     if ( TotNbColors() >= 65536 ) NMaxTableAuto = MXMAPIDS-1;
+     if ( TotNbColors() > 4096 ) NMaxTableAuto = MXMAPIDS-1;
      else NMaxTableAuto = 3; 
      //     for(k=0; k<NMaxTableAuto; k++)  { 
@@ -174,5 +158,5 @@
    for(kdx=0; kdx<MXMAPIDS; kdx++)  if (id == MapIds[kdx])  break;
    if (kdx == MXMAPIDS)  { id = MapIds[0];  kdx = 0; }
-   for(k=0; k<=NMaxTableAuto; k++) {
+   for(k=0; k<NMaxTableAuto; k++) {
      if ((MapIds[k] == id) && (mMaps[k] == NULL))  { //  Table pas encore alloue 
        mnom = MapNoms[k]; 
@@ -192,12 +176,7 @@
        if ( mMaps[k] ) {  
          mColTNums[mMaps[k]->mCTId] = 1;  // Je force a liberer les couleurs 
-         delete mMaps[k] ;   mMaps[k] = NULL;
-         mnom = MapNoms[k]; 
-         cout << " PIColorMap::PIColorMap(CMapId id) Freeing colors for ColorMap " 
-	      << mnom << " ... " << endl;
+         delete mMaps[k] ;
        }
        mnom = MapNoms[kdx];
-       cout << " PIColorMap::PIColorMap(CMapId id) Allocating ColorMap " 
-	     << mnom << " ... " << endl;
        mMaps[k] = new PIColorMap(MapIds[kdx],  MapNCols[kdx], mnom); 
      }
@@ -584,44 +563,4 @@
       }
       break;
-
-    case CMAP_RGB216 :
-      i = 0;
-      for(int kb=0; kb<6; kb++) {
-        mycol.blue = (unsigned short)(kb*65535/5);
-        for(int jg=0; jg<6; jg++) { 
-          mycol.green = (unsigned short)(jg*65535/5);
-          for(int ir=0; ir<6; ir++) {
-            mycol.red = (unsigned short)(ir*65535/5);
-            AllocColor(mycol, i);   i++;
-          }
-        }            
-      }
-      mycol.blue = mycol.green =  mycol.red = 65535;
-      for(i=216; i<256; i++)
-        AllocColor(mycol, i);
-      break;
-
-    case CMAP_RGB512 :
-    case CMAP_RGB4096 :
-    case CMAP_RGB32768 :
-      {
-      int nlev = 8;
-      if (mType == CMAP_RGB4096)  nlev = 16;
-      else if (mType == CMAP_RGB32768)  nlev = 32;
-      int drgb = 65535/(nlev-1);
-      i = 0;
-      for(int kb=0; kb<nlev; kb++) {
-        mycol.blue = (unsigned short)(kb*drgb);
-        for(int jg=0; jg<nlev; jg++) { 
-          mycol.green = (unsigned short)(jg*drgb);
-          for(int ir=0; ir<nlev; ir++) {
-            mycol.red = (unsigned short)(ir*drgb);
-            AllocColor(mycol, i);   i++;
-          }
-        }            
-      }
-      }
-      break;
-
 //----------------------------------------------------------
 //----------------------------------------------------------
Index: /trunk/SophyaPI/PI/picmap.h
===================================================================
--- /trunk/SophyaPI/PI/picmap.h	(revision 4076)
+++ /trunk/SophyaPI/PI/picmap.h	(revision 4077)
@@ -47,11 +47,6 @@
 
  //  Table simple a 16/64 couleurs 
- CMAP_COL16       = 991,        // 16 Couleurs arcenciel
- CMAP_COL64       = 992,         // 64 Couleurs differentes
- // Table de couleurs RGB 6x6x6=216 couleurs
- CMAP_RGB216      = 993,        // 216 couleurs avec toutes les nuances RGB
- CMAP_RGB512      = 994,        // 512 couleurs avec toutes les nuances RGB
- CMAP_RGB4096     = 995,        // 4096 couleurs avec toutes les nuances RGB
- CMAP_RGB32768    = 996         // 32768 couleurs avec toutes les nuances RGB
+ CMAP_COL16       = 998,        // 16 Couleurs arcenciel
+ CMAP_COL64       = 999         // 64 Couleurs differentes
  };
 
Index: /trunk/SophyaPI/PI/picmapview.cc
===================================================================
--- /trunk/SophyaPI/PI/picmapview.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/picmapview.cc	(revision 4077)
@@ -5,7 +5,5 @@
 #include "sopnamsp.h"
 #include "picmapview.h"
-#include "strutil.h"
 #include <math.h>
-#include <iostream>
 
 //++
@@ -81,8 +79,5 @@
   if ( cmap && (cmp->Type() == cmap->Type()) && (cmp->Type() != CMAP_OTHER)
        && (cmp->IsColorIndexReversed() == cmap->IsColorIndexReversed())
-       && (fabs(vmin-min) < 1.e-69)  && (fabs(vmax-max) > -1.e-69) )  { 
-    if (refr)  Refresh();      
-    return;
-  }
+       && (fabs(vmin-min) < 1.e-69)  && (fabs(vmax-max) > -1.e-69) )  return;
   if (cmap) delete cmap;
   cmap = new PIColorMap(*cmp);
@@ -98,8 +93,5 @@
        (cmap->IsColorIndexReversed() == revidx) &&
        ((vmin-min) < 1.e-69) &&  ((vmin-min) > -1.e-69) &&
-       ((vmax-max) < 1.e-69) &&  ((vmax-max) > -1.e-69) )  { 
-    if (refr)  Refresh();      
-    return;
-  }
+       ((vmax-max) < 1.e-69) &&  ((vmax-max) > -1.e-69) )  return;
   if (cmap) delete cmap;
   cmap = new PIColorMap(cmapid);
@@ -125,12 +117,9 @@
 
   int k;
-  // On limite le nombre de carres de couleurs traces, si trop de couleur ...
-  int dk = cmap->NCol()/128;
-  if (dk<1) dk=1;
   if (sx > sy) {    // horizontal
     int xc, dx;
     xc = 0;
-    for(k=0; k<cmap->NCol(); k+=dk) {
-      dx = dk*(sx-xc)/(cmap->NCol()-k);
+    for(k=0; k<cmap->NCol(); k++) {
+      dx = (sx-xc)/(cmap->NCol()-k);
       g->SelForeground((*cmap), k);
       g->DrawFBox(xc, 0, dx+1, sy);
@@ -141,6 +130,6 @@
     int yc, dy;
     yc = sy;
-    for(k=0; k<cmap->NCol(); k+=dk) {
-      dy = dk*yc/(cmap->NCol()-k);
+    for(k=0; k<cmap->NCol(); k++) {
+      dy = yc/(cmap->NCol()-k);
       yc -= dy;
       g->SelForeground((*cmap), k);
@@ -188,103 +177,7 @@
 }
 
-//++
-// Class        PICMapDrawer
-// Lib          PI
-// include      picmapview.h
-//
-//      Classe de traceur de colormap 
-//--
-//++
-// Links        Parents
-// PIDrawer
-//--
-//++
 
 
-/* --Methode-- */
-PICMapDrawer::PICMapDrawer(bool fgvert)
-  : fgvert_(fgvert), fgtext_(false), cmapp(NULL), bornes_(5)   
-{
-  SetLimits(0.,1.,0.,1., kAxeDirLtoR, kAxeDirDownUp);
-  SetColMapId(CMAP_GREY32);
-}
-
-/* --Methode-- */
-PICMapDrawer::~PICMapDrawer()
-{
-}
-
-/* --Methode-- */
-void PICMapDrawer::SetBornes(LUT& lut)
-{
-  fgtext_=true;  
-  bornes_[0]=lut.Min();   bornes_[4]=lut.Max(); 
-  bornes_[1]=lut.Borne((lut.NCol()-2)/4);
-  bornes_[2]=lut.Borne((lut.NCol()-2)/2);
-  bornes_[3]=lut.Borne(3*(lut.NCol()-2)/4);
-  return;
-}
-
-/* --Methode-- */
-void PICMapDrawer::SetBornes(double min, double max)
-{
-  fgtext_=true;  
-  bornes_[0]=min;   bornes_[4]=max; 
-  bornes_[1]=min+(max-min)*0.25; 
-  bornes_[2]=min+(max-min)*0.5; 
-  bornes_[3]=min+(max-min)*0.75; 
-  return;
-}
-
-/* --Methode-- */
-void PICMapDrawer::Draw(PIGraphicUC* g, double /*xmin*/, double /*ymin*/, 
-                        double /*xmax*/, double /*ymax*/)
-{
-  PIColorMap* cmp=cmapp;
-  PIColorMap cmapi(cmapid_);
-  if (cmp==NULL)  cmp=&cmapi;
-  PIColorMap& cmap=(*cmp);
-
-  //  cout << " *DBG*PICMapDrawer::Draw() Sz:" << BWdgXSize() << "," << BWdgYSize() 
-  //     << " Pos:" << BWdgXPos() << "," << BWdgYPos() << endl; 
-  // On limite le nombre de carres de couleurs traces, si trop de couleur ...
-  PIPixColIdx pixc;
-  if (fgvert_) {   // vertical
-    pixc.AllocateByte(0.25*BWdgXSize(), BWdgYSize());
-    for(int j=0; j<pixc.YSize(); j++)  {
-      int ci = j*cmap.NCol()/pixc.YSize();
-      int jrev=pixc.YSize()-j-1;
-      for(int i=0; i<pixc.XSize(); i++) pixc.GetByte(i,jrev)=(unsigned char)ci;
-    }
-    g->DrawPixmap(0.,1.,pixc, cmp);
-  }
-  else {    // horizontal
-    pixc.AllocateByte(BWdgXSize(), 0.25*BWdgYSize());
-    for(int i=0; i<pixc.XSize(); i++)  {
-      int ci = i*cmap.NCol()/pixc.XSize();
-      for(int j=0; j<pixc.YSize(); j++) pixc.GetByte(i,j)=(unsigned char)ci;
-    }
-    g->DrawPixmap(0.,0.25,pixc, cmp);
-  }
 
 
-  if (!fgtext_) return;
-  char buff[32];
-  double ps[5]={0.025,0.25,0.5,0.75,0.975};
-  //  g->SelForeground(PI_White);
-  for(int k=0; k<5; k++) {
-    sprintf(buff,"%6.2lg",bornes_[k]);
-    strip(buff,'B',' ');
-    if (fgvert_) {   // vertical
-      g->DrawLine(0.25,ps[k],0.35,ps[k]);
-      g->DrawString(0.7, ps[k], buff, PI_TextDirectionVerticalUp|PI_HorizontalCenter|PI_VerticalCenter);
-    }
-    else {   // horizontal 
-      g->DrawLine(ps[k],0.25,ps[k],0.35);
-      g->DrawString(ps[k], 0.7, buff, PI_VerticalCenter|PI_HorizontalCenter);
-    }
-  }
-  return;
-}
 
-
Index: /trunk/SophyaPI/PI/picmapview.h
===================================================================
--- /trunk/SophyaPI/PI/picmapview.h	(revision 4076)
+++ /trunk/SophyaPI/PI/picmapview.h	(revision 4077)
@@ -11,9 +11,4 @@
 #include PIBWDG_H
 #include PICMAP_H
-
-#include "pidrawer.h"
-#include "lut.h"
-#include <vector>
-
 
 class PICMapView : public PIBaseWdg
@@ -43,33 +38,4 @@
 };
 
-class PICMapDrawer : public PIDrawer
-{
-public:
-                     PICMapDrawer(bool fgvert=false);
-                     ~PICMapDrawer();
-
-  virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax);
-  inline void        SetHorizontal()  { fgvert_=false; }
-  inline void        SetVertical()  { fgvert_=true; }
-
-  inline void        SetColMapId(CMapId cmapid, bool revcidx=false) 
-                     { cmapid_=cmapid;  revcidx_=revcidx;  cmapp=NULL;  return; }
-
-  inline void        SetColMap(PIColorMap* cmp) 
-                     { cmapp=cmp;  return; }
-
-  void               SetBornes(LUT& lut);
-  void               SetBornes(double min, double max);
-
-protected:
-
-  bool fgvert_;  // true -> vertical 
-  bool fgtext_;  // true -> ecriture des valeurs des bornes
-  PIColorMap* cmapp;  
-  CMapId cmapid_;
-  bool revcidx_;  // true -> reverse color map index 
-  vector<double> bornes_;  
-};
-
 
 #endif 
Index: /trunk/SophyaPI/PI/picmapx.cc
===================================================================
--- /trunk/SophyaPI/PI/picmapx.cc	(revision 4076)
+++ /trunk/SophyaPI/PI/picmapx.cc	(revision 4077)
@@ -187,5 +187,4 @@
   mColRGB = new PIColor[mNCol];
   mNewCol = new bool[mNCol];
-  /*   Remplace par memcpy pour performances, Reza, Nov 2008
   for (int i=0; i<mNCol; i++)  
     { mColors[i] = ((PIColorMapX *)x)->mColors[i];
@@ -193,8 +192,3 @@
 // C'est la table de couleur originale qui est responsable de liberer les couleurs - Reza 8/2/98
     mNewCol[i] = false; }  
-  -> memcpy (Nov08) */
-  memcpy(mColors, ((PIColorMapX *)x)->mColors, sizeof(PIXColor)*mNCol);
-  memcpy(mColRGB, ((PIColorMapX *)x)->mColRGB, sizeof(PIColor)*mNCol);
-// C'est la table de couleur originale qui est responsable de liberer les couleurs - Reza 8/2/98
-  for (int i=0; i<mNCol; i++)   mNewCol[i] = false;
 }
